symbolsInteresting {XDE} | R Documentation

## Useful for changing the look of pairs plots to emphasize concordant or discordant genes

### Description

This function can be used to order genes in a matrix by the rank of a statistic and provide different plotting symbols and colors for genes that exceed a certain threshold of the ranking statistic.

### Usage

    symbolsInteresting(rankingStatistic, percentile = 0.9, colors = c("grey50", "royalblue"), symbols = c(".", "o"), size = c(3, 1), background = c("white", "grey70"))

### Arguments

`rankingStatistic` | Any numerical vector
`percentile` | A percentile of the rankingStatistic – above which a gene would be classified as 'interesting'
`colors` | character string of length 2: a color for genes not exceeding the percentile and a color for genes exceeding the thresold
`symbols` | two plotting symbols (numeric or character): symbol for genes not exceeding percentile and symbol for genes exceeding percentile
`size` | numeric vector of length 2: size of plotting symbol for genes not exceeding percentile and size of plotting symbol for genes exceeding percentile
`background` | character vector of length 2: background color of plotting symbols for gene not exceeding percentile and for genes exceeding the percentile

### Value

`order` | the order of the rankingStatistic
`pch` | plotting symbols (same length as rankingStatistic)
`col` | color of plotting symbols (same length as rankingStatistic)
`bg` | background color of plotting symbols (same length as rankingStatistic)
`cex` | size of plotting symbols (same length as rankingStatistic)

### Author(s)

R. Scharpf

### Examples

      data(expressionSetList)
      data(xmcmc)
      bes <- bayesianEffectSize(xmcmc)
      postAvg <- posteriorAvg(xmcmc)
      op.conc <- symbolsInteresting(rankingStatistic=postAvg[, "concordant"])
      graphics:::pairs(bes[op.conc$order, ], pch=op.conc$pch, col=op.conc$col,
                       bg=op.conc$bg, upper.panel=NULL, cex=op.conc$cex)

[Package XDE version 1.2.0 Index]